#ifndef _INCLUDE_BASIX_BASIX_CONFIG_HPP
#define _INCLUDE_BASIX_BASIX_CONFIG_HPP 1
 
/* include/basix/basix-config.hpp. Generated automatically at end of configure. */
/* include/basix/config.hpp.  Generated from config.hpp.in by configure.  */
/* include/basix/config.hpp.in.  Generated from configure.ac by autoheader.  */

/* Compile with debugging information and checks */
/* #undef BASIX_ENABLE_DEBUG */

/* Embed glue into the interpreter */
#ifndef BASIX_ENABLE_EMBEDDED 
#define BASIX_ENABLE_EMBEDDED   
#endif

/* Use C++ exception mechanism */
#ifndef BASIX_ENABLE_EXCEPTIONS 
#define BASIX_ENABLE_EXCEPTIONS   
#endif

/* With support for simd instructions */
#ifndef BASIX_ENABLE_SIMD 
#define BASIX_ENABLE_SIMD   
#endif

/* With support for multi-threading */
/* #undef BASIX_ENABLE_THREADS */

/* Compile with unstable code */
/* #undef BASIX_ENABLE_UNSTABLE */

/* Verify correctness of low-level operations */
/* #undef BASIX_ENABLE_VERIFY */

/* Define to 1 if you have the `argz_append' function. */
#ifndef BASIX_HAVE_ARGZ_APPEND 
#define BASIX_HAVE_ARGZ_APPEND  1 
#endif

/* Define to 1 if you have the `argz_create_sep' function. */
#ifndef BASIX_HAVE_ARGZ_CREATE_SEP 
#define BASIX_HAVE_ARGZ_CREATE_SEP  1 
#endif

/* Define to 1 if you have the <argz.h> header file. */
#ifndef BASIX_HAVE_ARGZ_H 
#define BASIX_HAVE_ARGZ_H  1 
#endif

/* Define to 1 if you have the `argz_insert' function. */
#ifndef BASIX_HAVE_ARGZ_INSERT 
#define BASIX_HAVE_ARGZ_INSERT  1 
#endif

/* Define to 1 if you have the `argz_next' function. */
#ifndef BASIX_HAVE_ARGZ_NEXT 
#define BASIX_HAVE_ARGZ_NEXT  1 
#endif

/* Define to 1 if you have the `argz_stringify' function. */
#ifndef BASIX_HAVE_ARGZ_STRINGIFY 
#define BASIX_HAVE_ARGZ_STRINGIFY  1 
#endif

/* Define to 1 if you have the <assert.h> header file. */
#ifndef BASIX_HAVE_ASSERT_H 
#define BASIX_HAVE_ASSERT_H  1 
#endif

/* Define to 1 if you have the `bcopy' function. */
/* #undef BASIX_HAVE_BCOPY */

/* Define to 1 if you have the `closedir' function. */
#ifndef BASIX_HAVE_CLOSEDIR 
#define BASIX_HAVE_CLOSEDIR  1 
#endif

/* Define to 1 if you have the <ctype.h> header file. */
#ifndef BASIX_HAVE_CTYPE_H 
#define BASIX_HAVE_CTYPE_H  1 
#endif

/* Define to 1 if you have the <dirent.h> header file, and it defines `DIR'.
   */
#ifndef BASIX_HAVE_DIRENT_H 
#define BASIX_HAVE_DIRENT_H  1 
#endif

/* Define if you have the GNU dld library. */
/* #undef BASIX_HAVE_DLD */

/* Define to 1 if you have the <dld.h> header file. */
/* #undef BASIX_HAVE_DLD_H */

/* Define to 1 if you have the `dlerror' function. */
#ifndef BASIX_HAVE_DLERROR 
#define BASIX_HAVE_DLERROR  1 
#endif

/* Define to 1 if you have the <dlfcn.h> header file. */
#ifndef BASIX_HAVE_DLFCN_H 
#define BASIX_HAVE_DLFCN_H  1 
#endif

/* Define to 1 if you have the <dl.h> header file. */
/* #undef BASIX_HAVE_DL_H */

/* Define if you have the _dyld_func_lookup function. */
/* #undef BASIX_HAVE_DYLD */

/* Define to 1 if you have the <errno.h> header file. */
#ifndef BASIX_HAVE_ERRNO_H 
#define BASIX_HAVE_ERRNO_H  1 
#endif

/* Define to 1 if the system has the type `error_t'. */
#ifndef BASIX_HAVE_ERROR_T 
#define BASIX_HAVE_ERROR_T  1 
#endif

/* Define to 1 if you have the `gettimeofday' function. */
#ifndef BASIX_HAVE_GETTIMEOFDAY 
#define BASIX_HAVE_GETTIMEOFDAY  1 
#endif

/* Define to 1 if you have the `index' function. */
/* #undef BASIX_HAVE_INDEX */

/* Define to 1 if you have the <inttypes.h> header file. */
#ifndef BASIX_HAVE_INTTYPES_H 
#define BASIX_HAVE_INTTYPES_H  1 
#endif

/* Define if you have the libdl library or equivalent. */
#ifndef BASIX_HAVE_LIBDL 
#define BASIX_HAVE_LIBDL  1 
#endif

/* Define to 1 if the system has the type `long long int'. */
#ifndef BASIX_HAVE_LONG_LONG_INT 
#define BASIX_HAVE_LONG_LONG_INT  1 
#endif

/* Define to 1 if you have the <mach-o/dyld.h> header file. */
/* #undef BASIX_HAVE_MACH_O_DYLD_H */

/* Define to 1 if you have the <malloc.h> header file. */
#ifndef BASIX_HAVE_MALLOC_H 
#define BASIX_HAVE_MALLOC_H  1 
#endif

/* Define to 1 if you have the `memcpy' function. */
#ifndef BASIX_HAVE_MEMCPY 
#define BASIX_HAVE_MEMCPY  1 
#endif

/* Define to 1 if you have the `memmove' function. */
#ifndef BASIX_HAVE_MEMMOVE 
#define BASIX_HAVE_MEMMOVE  1 
#endif

/* Define to 1 if you have the <memory.h> header file. */
#ifndef BASIX_HAVE_MEMORY_H 
#define BASIX_HAVE_MEMORY_H  1 
#endif

/* Define to 1 if you have the <ndir.h> header file, and it defines `DIR'. */
/* #undef BASIX_HAVE_NDIR_H */

/* Define to 1 if you have the `opendir' function. */
#ifndef BASIX_HAVE_OPENDIR 
#define BASIX_HAVE_OPENDIR  1 
#endif

/* Define if libtool can extract symbol lists from object files. */
#ifndef BASIX_HAVE_PRELOADED_SYMBOLS 
#define BASIX_HAVE_PRELOADED_SYMBOLS  1 
#endif

/* Define to 1 if you have the `readdir' function. */
#ifndef BASIX_HAVE_READDIR 
#define BASIX_HAVE_READDIR  1 
#endif

/* Define to 1 if you have the `rindex' function. */
/* #undef BASIX_HAVE_RINDEX */

/* Define if you have the shl_load function. */
/* #undef BASIX_HAVE_SHL_LOAD */

/* Define to 1 if you have the <stdint.h> header file. */
#ifndef BASIX_HAVE_STDINT_H 
#define BASIX_HAVE_STDINT_H  1 
#endif

/* Define to 1 if you have the <stdio.h> header file. */
#ifndef BASIX_HAVE_STDIO_H 
#define BASIX_HAVE_STDIO_H  1 
#endif

/* Define to 1 if you have the <stdlib.h> header file. */
#ifndef BASIX_HAVE_STDLIB_H 
#define BASIX_HAVE_STDLIB_H  1 
#endif

/* Define to 1 if you have the `strchr' function. */
#ifndef BASIX_HAVE_STRCHR 
#define BASIX_HAVE_STRCHR  1 
#endif

/* Define to 1 if you have the `strcmp' function. */
#ifndef BASIX_HAVE_STRCMP 
#define BASIX_HAVE_STRCMP  1 
#endif

/* Define to 1 if you have the <strings.h> header file. */
#ifndef BASIX_HAVE_STRINGS_H 
#define BASIX_HAVE_STRINGS_H  1 
#endif

/* Define to 1 if you have the <string.h> header file. */
#ifndef BASIX_HAVE_STRING_H 
#define BASIX_HAVE_STRING_H  1 
#endif

/* Define to 1 if you have the `strrchr' function. */
#ifndef BASIX_HAVE_STRRCHR 
#define BASIX_HAVE_STRRCHR  1 
#endif

/* Define to 1 if you have the <sys/dir.h> header file, and it defines `DIR'.
   */
/* #undef BASIX_HAVE_SYS_DIR_H */

/* Define to 1 if you have the <sys/dl.h> header file. */
/* #undef BASIX_HAVE_SYS_DL_H */

/* Define to 1 if you have the <sys/ndir.h> header file, and it defines `DIR'.
   */
/* #undef BASIX_HAVE_SYS_NDIR_H */

/* Define to 1 if you have the <sys/stat.h> header file. */
#ifndef BASIX_HAVE_SYS_STAT_H 
#define BASIX_HAVE_SYS_STAT_H  1 
#endif

/* Define to 1 if you have the <sys/types.h> header file. */
#ifndef BASIX_HAVE_SYS_TYPES_H 
#define BASIX_HAVE_SYS_TYPES_H  1 
#endif

/* Define to 1 if you have the <unistd.h> header file. */
#ifndef BASIX_HAVE_UNISTD_H 
#define BASIX_HAVE_UNISTD_H  1 
#endif

/* Yacc supports overflow macro */
/* #undef BASIX_HAVE_YACC_OVERFLOW */

/* Define if the OS needs help to load dependent libraries for dlopen(). */
/* #undef BASIX_LTDL_DLOPEN_DEPLIBS */

/* Define to the sub-directory in which libtool stores uninstalled libraries.
   */
#ifndef BASIX_LTDL_OBJDIR 
#define BASIX_LTDL_OBJDIR  ".libs/" 
#endif

/* Define to the name of the environment variable that determines the dynamic
   library search path. */
#ifndef BASIX_LTDL_SHLIBPATH_VAR 
#define BASIX_LTDL_SHLIBPATH_VAR  "LD_LIBRARY_PATH" 
#endif

/* Define to the extension used for shared libraries, say, ".so". */
#ifndef BASIX_LTDL_SHLIB_EXT 
#define BASIX_LTDL_SHLIB_EXT  ".so" 
#endif

/* Define to the system default library search path. */
#ifndef BASIX_LTDL_SYSSEARCHPATH 
#define BASIX_LTDL_SYSSEARCHPATH  "/lib:/usr/lib:/usr/lib/atlas:/usr/lib/ctapi:/usr/lib/lam:/usr/lib/qt-3.3/lib" 
#endif

/* Define if dlsym() requires a leading underscore in symbol names. */
/* #undef BASIX_NEED_USCORE */

/* Use g++ strictly prior to g++ 3.0 */
/* #undef BASIX_OLD_GNU_COMPILER */

/* Name of package */
#ifndef BASIX_PACKAGE 
#define BASIX_PACKAGE  "basix" 
#endif

/* Define to the address where bug reports for this package should be sent. */
#ifndef BASIX_PACKAGE_BUGREPORT 
#define BASIX_PACKAGE_BUGREPORT  "bugs@mathemagix.org" 
#endif

/* Define to the full name of this package. */
#ifndef BASIX_PACKAGE_NAME 
#define BASIX_PACKAGE_NAME  "basix" 
#endif

/* Define to the full name and version of this package. */
#ifndef BASIX_PACKAGE_STRING 
#define BASIX_PACKAGE_STRING  "basix 0.4" 
#endif

/* Define to the one symbol short name of this package. */
#ifndef BASIX_PACKAGE_TARNAME 
#define BASIX_PACKAGE_TARNAME  "basix" 
#endif

/* Define to the version of this package. */
#ifndef BASIX_PACKAGE_VERSION 
#define BASIX_PACKAGE_VERSION  "0.4" 
#endif

/* Installation prefix */
#ifndef BASIX_PREFIX 
#define BASIX_PREFIX  "/user/mourrain/home/mmx/mathemagix-0.4-i686-pc-linux-gnu" 
#endif

/* Define to 1 if you have the ANSI C header files. */
#ifndef BASIX_STDC_HEADERS 
#define BASIX_STDC_HEADERS  1 
#endif

/* Version number of package */
#ifndef BASIX_VERSION 
#define BASIX_VERSION  "0.4" 
#endif

/* Define to empty if `const' does not conform to ANSI C. */
/* #undef BASIX_const */

/* Define to a type to use for `error_t' if it is not otherwise available. */
/* #undef BASIX_error_t */
 
/* _INCLUDE_BASIX_BASIX_CONFIG_HPP */
#endif
