
/******************************************************************************
* MODULE     : complex_real.hpp
* DESCRIPTION: Complex numbers
* COPYRIGHT  : (C) 2006  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#ifndef __MMX_COMPLEX_REAL_HPP
#define __MMX_COMPLEX_REAL_HPP
#include <numerix/real.hpp>
#include <numerix/complex.hpp>
//#include <numerix/ball_complex.hpp>
//#include <numerix/complex_certify.hpp>
namespace mmx {

//typedef certify<complex<ball<floating<> > > > complex_real;
//typedef certify_rep<complex<ball<floating<> > > > complex_real_rep;

typedef complex<real> complex_real;

}
#endif // __MMX_COMPLEX_REAL_HPP
