/******************************************************************************
* MODULE     : real.hpp
* DESCRIPTION: Real numbers
* COPYRIGHT  : (C) 2006  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#ifndef __MMX_REAL_HPP
#define __MMX_REAL_HPP
#include <numerix/ball.hpp>
#include <numerix/twin.hpp>
//#include <numerix/certify.hpp>
namespace mmx {

//typedef certify<ball<floating<> > > real;
//typedef certify_rep<ball<floating<> > > real_rep;

typedef twin<ball<floating<> > > real;

template<> struct symbolic_type_information<real> {
  static const nat id= SYMBOLIC_REAL; };

}
#endif // __MMX_REAL_HPP
