# include <subdivix/texp_isring.hpp>

namespace mmx {
//--------------------------------------------------------------------
namespace meta
{
  template<class C, class Y>
  struct instanceof< matrdse<C>, Y> { typedef matrdse<Y> T; };
  //  template<class C, class R, class Y>
  //    struct instanceof< matrdse<C,R>, Y >{ typedef matrdse<Y, typename instanceof<R,Y>::T > T; };
};
//--------------------------------------------------------------------
namespace meta
{
  //   template<class C, class R> // matrdse<C,R> is exact as soon as C is exact
  //   struct isexact_< matrdse<C,R> > { typedef typename isexact< C >::T T; };
  template<class C, class R> // matrdse<C,R> define a ring
  struct isring_< matrdse<C,R> > { typedef true_t T; };
  
  template<class Ca, class Ra, class Cb, class Rb > // result of ring operations over matrdse
  struct ringof_< matrdse<Ca,Ra>, matrdse<Cb,Rb>  >  { 
    typedef typename ringof<Ca,Cb>::T C;            // 
    typedef typename instanceof<Ra,C>::T RaC;
    typedef typename instanceof<Rb,C>::T RbC;
    typedef typename sup_container<RaC,RbC>::T      R;
    typedef matrdse<C,R>                            T;
  };
  
  template<class C, class R> struct structureof< matrdse<C,R> > { typedef structure::matrix T; };

}
//====================================================================
} //namespace mmx
