#ifndef subdivix_mpoldse_mgl_hpp
#define subdivix_mpoldse_mgl_hpp

#include <subdivix/mpoldse.hpp>
#define FORALL template <class C, class R>
#define Polynomial mpoldse<C,R>

namespace mmx {

  FORALL unsigned hash(const Polynomial& p){ return 1;}
  FORALL unsigned soft_hash(const Polynomial& p){ return 1;}
  FORALL bool eq(const Polynomial& p, const Polynomial& q){ return p==q;}
  FORALL bool neq(const Polynomial& p, const Polynomial& q){ return p!=q;}
  
  FORALL syntactic flatten(const Polynomial& p)
  {
    mpoldst<C> q; 
    multivariate_dense::convert(q,p);
    return flatten(q);
  }
} //namespace mmx 
//====================================================================
#undef Polynomial
#undef FORALL
#endif //subdivix_mpoldse_mgl_hpp
