#ifndef subdivix_mpoldst_mgl_hpp
#define subdivix_mpoldst_mgl_hpp

#include <subdivix/mpoldst.hpp>
#define FORALL template <class C, class O, class R>
#define Polynomial mpoldst<C,O,R>

namespace mmx {

  FORALL unsigned hash(const Polynomial& p){ return 1;}
  FORALL unsigned soft_hash(const Polynomial& p){ return 1;}
  FORALL bool eq(const Polynomial& p, const Polynomial& q){ return p==q;}
  FORALL bool neq(const Polynomial& p, const Polynomial& q){ return p!=q;}
  
  FORALL syntactic flatten(const Polynomial& p)
  {
    typedef typename Polynomial::const_iterator iterator;
    syntactic r(0);
    for(iterator it=p.begin(); it!=p.end();it++)
      {
	syntactic m= flatten(it->coeff());
	for(unsigned i=0;i<it->nbvar();i++)
	  {
	    syntactic v =Polynomial::monom_t::var[i].data();
	    m = m*pow(v,syntactic((*it)[i]));
	  }
	r+=m;
      }
    return r;
  }
} //namespace mmx 
//====================================================================
#undef Polynomial
#undef FORALL
#endif //subdivix_mpoldst_mgl_hpp
