/*********************************************************************
*      This file is part of the source code of SYNAPS software.      *
*      (C) B. Mourrain, GALAAD, INRIA,                               *
**********************************************************************
History:
$Id: parser.hpp,v 1.1 2005/07/11 11:23:12 mourrain Exp $
**********************************************************************/
#ifndef SYNAPS_BASE_PARSER_H
#define SYNAPS_BASE_PARSER_H
#include <string>

//======================================================================
namespace mmx {
//======================================================================

#define COEF  10
#define XID   11
#define SUM   12
#define MINUS 13
#define MULT  14
#define TERMINATE  15
#define SEPARATOR   16
#define BLIST       17
#define ELIST       18

extern "C" int yylex(void);
extern "C" char *synaps_input;
extern "C" char *synaps_inputptr; /* current position in myinput */
//char *yytext; /* current position in myinput */
extern "C" char *synaps_inputlim; /* end of data */
extern "C" char *yylval;
extern "C" char *yyunput;


//======================================================================
} //namespace mmx
//======================================================================
#endif // SYNAPS_BASE_PARSER_H
