#ifndef SYNAPS_ARITHM_TRAITS_RATIONALOF_H
#define SYNAPS_ARITHM_TRAITS_RATIONALOF_H
#include <subdivix/texp_integerof.hpp>

namespace mmx {

namespace meta
{
  template<class X> struct rationalof_  { typedef null_t T; };
  //  { typedef mpq_class T; };
  //  { Rational< typename integerof<X>::T > T;  };
  template<class K, class X>
  struct kernel_rationalof { typedef typename K::rational T; };
  template<class X>
  struct kernel_rationalof<null_t,X> { typedef typename rationalof_<X>::T T; };
  template<class X>
  struct rationalof
  {
    typedef typename ucstref<X>::T _X;
    typedef typename kernel_rationalof< typename kernelof<X>::T, _X  >::T T;
  };
};

}// end namespace mmx

#endif
