
template<class C, class R> 
void add( vectdse<C,R> & r, const vectdse<C,R> & a )
{
  using VECTOR::add; add(r.rep(),a.rep());
};

template<class C, class R>
void add( vectdse<C,R> & r, const vectdse<C,R> & a, const vectdse<C,R> & b )
{
  using VECTOR::add; add(r.rep(),a.rep(),b.rep());
};

template<class C, class R>
void sub( vectdse<C,R> & r, const vectdse<C,R> & a )
{
  using VECTOR::sub; sub(r.rep(),a.rep());
};

template<class C, class R> 
void sub( vectdse<C,R> & r, const vectdse<C,R> & a, const vectdse<C,R> & b )
{
  using VECTOR::sub; sub(r.rep(),a.rep(),b.rep());
};

template<class C, class R> 
void mul( C & r, const vectdse<C,R> & a, const vectdse<C,R> & b )
{
  using VECTOR::innerprod; r = innerprod(a.rep(),b.rep());
};

template<class C, class R> 
void mul( vectdse<C,R> & r, const vectdse<C,R> & a, const C & b )
{
  using VECTOR::mul_ext; mul_ext(r.rep(),a.rep(),b);
};

template<class C, class R>
void mul( vectdse<C,R> & r, const C & b, const vectdse<C,R> & a )
{
  using VECTOR::mul_ext; mul_ext(r.rep(),a.rep(),b);
};

template<class C, class R>
void mul( vectdse<C,R> & r, const C & c )
{
  using VECTOR::mul_ext; mul_ext(r.rep(),r.rep(),c);
};

template<class C, class R>
void div( vectdse<C,R> & r, const C & c )
{
  using VECTOR::div_ext; div_ext(r.rep(),c);
};

template<class C, class R>
void div( vectdse<C,R> & r, const vectdse<C,R> & a, const C & c )
{
  using VECTOR::div_ext; div_ext(r.rep(),a.rep(),c);
};

template<class C, class R> 
void neg( vectdse<C,R> & r, const vectdse<C,R> & a )
{
  using VECTOR::neg; neg( r.rep(), a.rep()) ;
};

namespace meta
{
  template<class C, class R> struct structureof< vectdse<C,R> > { typedef structure::vector T; };
}  

#define template_arg_list template<class Ca, class Ra, class Cb, class Rb>
#define parm0 vectdse<Ca,Ra>
#define parm1 vectdse<Cb,Rb>
  declare_binary_operator(template_arg_list,parm0,parm1,meta::_add_,operator+);
  declare_binary_operator(template_arg_list,parm0,parm1,meta::_sub_,operator-);
  declare_binary_operator(template_arg_list,parm0,parm1,meta::_mul_,operator*);
#undef  template_arg_list

#define template_arg_list template<class C, class R>
#undef  parm0
#define parm0 vectdse<C,R>
#undef  parm1
#define parm1 C
  declare_binary_operator(template_arg_list,parm0,parm1,meta::_mul_,operator*);
  declare_binary_operator(template_arg_list,parm1,parm0,meta::_mul_,operator*);
  declare_binary_operator(template_arg_list,parm0,parm1,meta::_div_,operator/);
#undef  parm1
#undef  template_arg_list
#define template_arg_list template<class C, class R, class K>
#define parm1 typename K::integer
  declare_binary_operator(template_arg_list,parm0,parm1,meta::_mul_,operator*);
  declare_binary_operator(template_arg_list,parm1,parm0,meta::_mul_,operator*);
  declare_binary_operator(template_arg_list,parm0,parm1,meta::_div_,operator/);
#undef  parm1
#define parm1 typename K::rational
  declare_binary_operator(template_arg_list,parm0,parm1,meta::_mul_,operator*);
  declare_binary_operator(template_arg_list,parm1,parm0,meta::_mul_,operator*);
  declare_binary_operator(template_arg_list,parm0,parm1,meta::_div_,operator/);
#undef parm1
#define parm1 typename K::floating
  declare_binary_operator(template_arg_list,parm0,parm1,meta::_mul_,operator*);
  declare_binary_operator(template_arg_list,parm1,parm0,meta::_mul_,operator*);
  declare_binary_operator(template_arg_list,parm0,parm1,meta::_div_,operator/);
#undef template_arg_list
#undef parm0
#undef parm1
#define template_arg_list template<class C, class R>
#define parm0 vectdse<C,R>
  declare_unary_operator(template_arg_list,parm0,meta::_neg_,operator-);
#undef template_arg_list
#undef parm0
