#ifndef _INCLUDE_NUMERIX_NUMERIX_CONFIG_HPP
#define _INCLUDE_NUMERIX_NUMERIX_CONFIG_HPP 1
 
/* include/numerix/numerix-config.hpp. Generated automatically at end of configure. */
/* include/numerix/config.hpp.  Generated from config.hpp.in by configure.  */
/* include/numerix/config.hpp.in.  Generated from configure.ac by autoheader.  */

/* Compile with debugging information and checks */
/* #undef NUMERIX_ENABLE_DEBUG */

/* Embed glue into the interpreter */
#ifndef NUMERIX_ENABLE_EMBEDDED 
#define NUMERIX_ENABLE_EMBEDDED   
#endif

/* Use C++ exception mechanism */
#ifndef NUMERIX_ENABLE_EXCEPTIONS 
#define NUMERIX_ENABLE_EXCEPTIONS   
#endif

/* With support for simd instructions */
#ifndef NUMERIX_ENABLE_SIMD 
#define NUMERIX_ENABLE_SIMD   
#endif

/* With support for multi-threading */
/* #undef NUMERIX_ENABLE_THREADS */

/* Compile with unstable code */
/* #undef NUMERIX_ENABLE_UNSTABLE */

/* Verify correctness of low-level operations */
/* #undef NUMERIX_ENABLE_VERIFY */

/* Define if you have the basix library */
#ifndef NUMERIX_HAVE_BASIX 
#define NUMERIX_HAVE_BASIX   
#endif

/* Define to 1 if you have the <dlfcn.h> header file. */
#ifndef NUMERIX_HAVE_DLFCN_H 
#define NUMERIX_HAVE_DLFCN_H  1 
#endif

/* Define if you have the gmp library */
#ifndef NUMERIX_HAVE_GMP 
#define NUMERIX_HAVE_GMP   
#endif

/* Define to 1 if you have the <inttypes.h> header file. */
#ifndef NUMERIX_HAVE_INTTYPES_H 
#define NUMERIX_HAVE_INTTYPES_H  1 
#endif

/* Define to 1 if you have the <memory.h> header file. */
#ifndef NUMERIX_HAVE_MEMORY_H 
#define NUMERIX_HAVE_MEMORY_H  1 
#endif

/* Define if you have the mpfr library */
/* #undef NUMERIX_HAVE_MPFR */

/* Define to 1 if you have the <stdint.h> header file. */
#ifndef NUMERIX_HAVE_STDINT_H 
#define NUMERIX_HAVE_STDINT_H  1 
#endif

/* Define to 1 if you have the <stdlib.h> header file. */
#ifndef NUMERIX_HAVE_STDLIB_H 
#define NUMERIX_HAVE_STDLIB_H  1 
#endif

/* Define to 1 if you have the <strings.h> header file. */
#ifndef NUMERIX_HAVE_STRINGS_H 
#define NUMERIX_HAVE_STRINGS_H  1 
#endif

/* Define to 1 if you have the <string.h> header file. */
#ifndef NUMERIX_HAVE_STRING_H 
#define NUMERIX_HAVE_STRING_H  1 
#endif

/* Define to 1 if you have the <sys/stat.h> header file. */
#ifndef NUMERIX_HAVE_SYS_STAT_H 
#define NUMERIX_HAVE_SYS_STAT_H  1 
#endif

/* Define to 1 if you have the <sys/types.h> header file. */
#ifndef NUMERIX_HAVE_SYS_TYPES_H 
#define NUMERIX_HAVE_SYS_TYPES_H  1 
#endif

/* Define to 1 if you have the <unistd.h> header file. */
#ifndef NUMERIX_HAVE_UNISTD_H 
#define NUMERIX_HAVE_UNISTD_H  1 
#endif

/* Name of package */
#ifndef NUMERIX_PACKAGE 
#define NUMERIX_PACKAGE  "numerix" 
#endif

/* Define to the address where bug reports for this package should be sent. */
#ifndef NUMERIX_PACKAGE_BUGREPORT 
#define NUMERIX_PACKAGE_BUGREPORT  "bugs@mathemagix.org" 
#endif

/* Define to the full name of this package. */
#ifndef NUMERIX_PACKAGE_NAME 
#define NUMERIX_PACKAGE_NAME  "numerix" 
#endif

/* Define to the full name and version of this package. */
#ifndef NUMERIX_PACKAGE_STRING 
#define NUMERIX_PACKAGE_STRING  "numerix 0.4" 
#endif

/* Define to the one symbol short name of this package. */
#ifndef NUMERIX_PACKAGE_TARNAME 
#define NUMERIX_PACKAGE_TARNAME  "numerix" 
#endif

/* Define to the version of this package. */
#ifndef NUMERIX_PACKAGE_VERSION 
#define NUMERIX_PACKAGE_VERSION  "0.4" 
#endif

/* Define to 1 if you have the ANSI C header files. */
#ifndef NUMERIX_STDC_HEADERS 
#define NUMERIX_STDC_HEADERS  1 
#endif

/* Version number of package */
#ifndef NUMERIX_VERSION 
#define NUMERIX_VERSION  "0.4" 
#endif
 
/* _INCLUDE_NUMERIX_NUMERIX_CONFIG_HPP */
#endif
