/********************************************************************
 *   This file is part of the source code of the SYNAPS library.
 *   Author(s): J.P. Pavone, GALAAD, INRIA
 *   $Id: debug_stream.hpp,v 1.1 2005/07/11 10:03:55 jppavone Exp $
 ********************************************************************/
#ifndef SYNAPS_SOLVE_SBDSLV_DEBUG_STREAM_HPP
#define SYNAPS_SOLVE_SBDSLV_DEBUG_STREAM_HPP 
//--------------------------------------------------------------------
namespace mmx {
//--------------------------------------------------------------------

template<bool t>
struct dbg_stream { 
  std::ostream& o;
  dbg_stream() : o(std::cout) {};
};

template<>
struct dbg_stream<false> { 
  struct result_t { 
    template<class X>
    result_t& operator<<( const X& x) { return *this;}; };
  result_t o;
};
//--------------------------------------------------------------------
} //namespace mmx
/********************************************************************/
#endif //SYNAPS_SOLVE_SBDSLV_DEBUG_STREAM_HPP 
