//====================================================================
// INPUT OUTPUT 
//====================================================================
namespace mmx {
//--------------------------------------------------------------------
/// Output operator for standard matrices.
template<class C, class R>
std::ostream & operator<<(std::ostream & os, const  matrdse<C,R> & p)
{
  using namespace MATRDSE;
  return print(os,p.rep());
}
//----------------------------------------------------------------------
/** 
  Input operator for standard matrices. The input format is of the form
  \c m n c00 c01 ... where \c m is the number of rows, \c n
   is the number of columns and the coefficients are read  by rows.
**/
template<class C, class R>  inline
std::istream & operator>>(std::istream & is, matrdse<C,R> & M)
{
  using namespace MATRDSE;
  return read(is,M);
}
//====================================================================
} //namespace mmx
