#ifndef SYNAPS_LINALG_TEXP_H
#define SYNAPS_LINALG_TEXP_H
#include <subdivix/texp.hpp>
// #include <subdivix/Range.hpp>
#include <subdivix/vectdse.hpp> // a cause de texp 

namespace mmx {


namespace linalg 
{ 
  using namespace meta;
  define_binary_operator(_submatrix_,submatrix,submatrix);
  define_binary_operator(_row_,row,row);
  define_binary_operator(_col_,col,col);
};

namespace meta { 
  
//  template<> struct template_expression_operand< Range2d > { typedef Range2d T; }; 
  
  
  // template<class Matrix> struct binary_operator_prototype< linalg::_row_, Matrix, Range >
  // {
  //   typedef Matrix                        F;
  //   typedef Matrix                        U;
  //   typedef Range                         V;
  // };
  
  // template<class Matrix> struct binary_operator_prototype< linalg::_col_, Matrix, Range >
  // {
  //   typedef Matrix                        F;
  //   typedef Matrix                        U;
  //   typedef Range                         V;
  // };
  
  template<class Matrix> struct binary_operator_prototype< linalg::_row_, Matrix, int >
  {
    typedef typename Matrix::row_type       F;
    typedef Matrix                          U;
    typedef int                             V;
  };
  
  template<class Matrix> struct binary_operator_prototype< linalg::_col_, Matrix, int >
  {
    typedef typename Matrix::col_type     F;
    typedef Matrix                        U;
    typedef int                           V;
  };
};
} //namespace mmx
#endif
