#ifndef SYNAPS_ARITHM_TRAITS_HASPROPERTY_H
#define SYNAPS_ARITHM_TRAITS_HASPROPERTY_H

#include "subdivix/traits_isexact.hpp"
#include "subdivix/traits_isring.hpp"
#include "subdivix/traits_isfield.hpp"

namespace mmx {

namespace meta {
  
  template< typename X >
  struct hasproperty
  {
    typedef typename isexact< X >::T  exact;
    typedef typename isring < X >::T  ring;
    typedef typename isfield< X >::T  field;
  }; 

}

}// end namespace mmx

#endif
