#ifndef subdivix_upoldse_convert_hpp
#define subdivix_upoldse_convert_hpp
namespace mmx {


  template<typename T, typename F, typename TR, typename FR>
  struct as_helper< upoldse<T,TR>,upoldse<F,FR> >
  {
    static inline 
    upoldse<T,TR> cv (const upoldse<F,FR>& x) 
    {
      upoldse<T,TR> r(degree(x)+1,AsSize());
      for (int  i=0; i<=degree(x); i++) r[i]= as<T> (x[i]);
      return r;
    }
  };
}

#endif //subdivix_upoldse_convert_hpp
